Bug 436735 - Radeon 7500 DRI broke?
Radeon 7500 DRI broke?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 23:58 EDT by Warren Togami
Modified: 2009-02-07 13:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-07 13:53:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (23.67 KB, text/plain)
2008-03-09 23:58 EDT, Warren Togami
no flags Details
Xorg log (31.77 KB, text/plain)
2008-03-10 00:01 EDT, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2008-03-09 23:58:32 EDT
In Fedora 8 I could use compiz on this IBM Thinkpad T41 with Radeon 7500. 
compiz even worked beautifully over XDMCP over the network.  But now F-9 client
XDMCP into a F-8 host it seems DRI doesn't work.  (Will get F-9 to F-9 testing
tomorrow.)

xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.i386
xorg-x11-drv-ati-6.8.0-3.fc9.i386
kernel-2.6.25-0.101.rc4.git3.fc9.i586
Comment 1 Warren Togami 2008-03-09 23:58:32 EDT
Created attachment 297403 [details]
dmesg
Comment 2 Warren Togami 2008-03-10 00:01:11 EDT
Created attachment 297404 [details]
Xorg log
Comment 3 Adam Jackson 2008-03-13 16:50:02 EDT
That X log looks perfect.  What's the failure mode in compiz?
Comment 4 Warren Togami 2008-03-13 18:28:04 EDT
compiz just fails to start.

Subsequent tests with F-9 X and F-9 userspace compiz does work.  So perhaps this
is just some kind of incompatibility between F-9 X and F-8 glxinfo and compiz?

If this is simply a "can't support that" then I understand.
Comment 5 Adam Jackson 2008-04-06 19:44:28 EDT
There shouldn't be any wire incompatibility between F9 X clients and F8 X
server.  Why does compiz fail to start though?  If you try to start it from a
terminal it should say _something_ on stdout.
Comment 6 Warren Togami 2008-04-18 10:10:59 EDT
I would have to reinstall a F-8 host to test this...
Comment 7 Bug Zapper 2008-05-14 01:53:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 François Cami 2009-02-07 09:49:02 EST
Warren,
Does this still happen in current F10 ?
If you have time to do so, please attach recent dmesg and Xorg log here too.
Thank you.

Note You need to log in before you can comment on or make changes to this bug.